diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/wifi/test/wifi-phy-cca-test.cc ns-3.45/src/wifi/test/wifi-phy-cca-test.cc
--- ns-3.44/src/wifi/test/wifi-phy-cca-test.cc	2025-03-09 16:55:49.811372800 -0700
+++ ns-3.45/src/wifi/test/wifi-phy-cca-test.cc	2025-06-01 20:34:45.640702200 -0700
@@ -2863,172 +2836,938 @@
              {dBm_u{-55}, MicroSeconds(50), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}}},
             {},
             {
-                {aCcaTime, WifiPhyState::IDLE}, // state of primary stays idle after aCCATime
-                {MicroSeconds(50) + aCcaTime, WifiPhyState::IDLE}, // state of primary stays IDLE
+                {aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
+                {MicroSeconds(50) + aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays IDLE
                 {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
                  WifiPhyState::IDLE}, // IDLE just before the transmission ends
                 {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
-            {{aCcaTime, // notification upon reception of the first signal
+            {{aCcaTimeWithDelta, // notification upon reception of the first signal
               MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY80,
-              std::vector<Time>{MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(100),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0)}},
-             {MicroSeconds(50) + aCcaTime, // notification upon reception of the second signal
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
+             {MicroSeconds(50) +
+                  aCcaTimeWithDelta, // notification upon reception of the second signal
               MicroSeconds(50) + MicroSeconds(100),
               WIFI_CHANLIST_SECONDARY,
-              std::vector<Time>{MicroSeconds(0),
-                                MicroSeconds(100),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(50),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0)}}});
+              m_expectedPer20MhzCcaBusyDurations.at(1)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE when a 80 MHz HE SU PPDU with received power below the CCA
+        // Verify PHY state stays IDLE when a 80 MHz PPDU with received power below the CCA
         // sensitivity threshold occupies S80
         Simulator::Schedule(
             delay,
             &WifiPhyCcaIndicationTest::LogScenario,
             this,
-            "Reception of a 40 MHz HE PPDU that occupies S40 below CCA sensitivity threshold");
+            "Reception of a 80 MHz PPDU that occupies S80 below CCA sensitivity threshold");
         ScheduleTest(delay,
                      {},
                      {{dBm_u{-70}, MicroSeconds(0), S80_CENTER_FREQUENCY, MHz_u{80}}},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {PpduDurations.at(MHz_u{20}) - smallDelta,
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {ppduDurations.at(MHz_u{80}) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {PpduDurations.at(MHz_u{20}) + smallDelta,
+                         {ppduDurations.at(MHz_u{80}) + smallDelta,
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
                      {});
         delay += Seconds(1);
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 80 MHz HE SU PPDU
+        // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 80 MHz PPDU
         // with received power above the CCA sensitivity threshold occupies S80
         Simulator::Schedule(
             delay,
             &WifiPhyCcaIndicationTest::LogScenario,
             this,
-            "Reception of a 80 MHz HE PPDU that occupies S80 above CCA sensitivity threshold");
+            "Reception of a 80 MHz PPDU that occupies S80 above CCA sensitivity threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 4, 4, ppduDurations.at(80));
         ScheduleTest(delay,
                      {},
                      {{dBm_u{-65}, MicroSeconds(0), S80_CENTER_FREQUENCY, MHz_u{80}}},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
-                         {PpduDurations.at(MHz_u{80}) - smallDelta,
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {ppduDurations.at(MHz_u{80}) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
-                         {PpduDurations.at(MHz_u{80}) + smallDelta,
+                         {ppduDurations.at(MHz_u{80}) + smallDelta,
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
-                     {{aCcaTime,
-                       PpduDurations.at(MHz_u{80}),
+                     {{aCcaTimeWithDelta,
+                       ppduDurations.at(MHz_u{80}),
                        WIFI_CHANLIST_SECONDARY80,
-                       std::vector<Time>{NanoSeconds(0),
-                                         NanoSeconds(0),
-                                         NanoSeconds(0),
-                                         NanoSeconds(0),
-                                         PpduDurations.at(MHz_u{80}),
-                                         PpduDurations.at(MHz_u{80}),
-                                         PpduDurations.at(MHz_u{80}),
-                                         PpduDurations.at(MHz_u{80})}}});
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
         delay += Seconds(1);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        if (m_standard == WIFI_STANDARD_80211ax)
+        {
+            //----------------------------------------------------------------------------------------------------------------------------------
+            // Verify PHY state stays IDLE and CCA-BUSY indication is reported if only the
+            // per20bitmap parameter changes
+            Simulator::Schedule(
+                delay,
+                &WifiPhyCcaIndicationTest::LogScenario,
+                this,
+                "Reception of a 20 MHz signal that generates a per20bitmap parameter "
+                "change when previous CCA indication reports IDLE");
+            m_expectedPer20MhzCcaBusyDurations.at(0).at(7) = MicroSeconds(100);
+            ScheduleTest(
+                delay,
+                {{dBm_u{-60.0},
+                  MicroSeconds(0),
+                  MicroSeconds(100),
+                  S80_CENTER_FREQUENCY + MHz_u{30},
+                  MHz_u{20}}},
+                {},
+                {
+                    {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                    {MicroSeconds(100) - smallDelta,
+                     WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                    {MicroSeconds(100) + smallDelta,
+                     WifiPhyState::IDLE} // IDLE just after the transmission ends
+                },
+                {{aCcaTimeWithDelta,
+                  Seconds(0),
+                  WIFI_CHANLIST_PRIMARY,
+                  m_expectedPer20MhzCcaBusyDurations.at(0)}});
+            delay += Seconds(1);
+            ResetExpectedPer20MhzCcaBusyDurations();
+
+            //----------------------------------------------------------------------------------------------------------------------------------
+            // Verify PHY state stays CCA_BUSY and CCA-BUSY indication is reported if only the
+            // per20bitmap parameter changes
+            Simulator::Schedule(delay,
+                                &WifiPhyCcaIndicationTest::LogScenario,
+                                this,
+                                "Reception of a 20 MHz signal that generates a per20bitmap "
+                                "parameter change when "
+                                "previous CCA indication reports BUSY for the primary channel");
+            std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin(), 4, MicroSeconds(100));
+            std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(1).begin(), 4, MicroSeconds(50));
+            m_expectedPer20MhzCcaBusyDurations.at(1).at(7) = MicroSeconds(200);
+            ScheduleTest(
+                delay,
+                {{dBm_u{-50.0},
+                  MicroSeconds(0),
+                  MicroSeconds(100),
+                  P80_CENTER_FREQUENCY,
+                  MHz_u{80}},
+                 {dBm_u{-60.0},
+                  MicroSeconds(50),
+                  MicroSeconds(200),
+                  S80_CENTER_FREQUENCY + MHz_u{30},
+                  MHz_u{20}}},
+                {},
+                {
+                    {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
+                    {MicroSeconds(100) - smallDelta,
+                     WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
+                    {MicroSeconds(100) + smallDelta,
+                     WifiPhyState::IDLE} // IDLE just after the transmission ends
+                },
+                {{aCcaTimeWithDelta,
+                  MicroSeconds(100),
+                  WIFI_CHANLIST_PRIMARY,
+                  m_expectedPer20MhzCcaBusyDurations.at(0)},
+                 {MicroSeconds(50) +
+                      aCcaTimeWithDelta, // notification upon reception of the second signal
+                  MicroSeconds(100),
+                  WIFI_CHANLIST_PRIMARY,
+                  m_expectedPer20MhzCcaBusyDurations.at(1)}});
+            delay += Seconds(1);
+            ResetExpectedPer20MhzCcaBusyDurations();
+        }
+    }
 
+    if (m_channelWidth > 160)
+    {
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if only the per20bitmap
-        // parameter changes
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
+        // the energy detection threshold occupies the first 20 MHz subchannel of the S160
         Simulator::Schedule(delay,
                             &WifiPhyCcaIndicationTest::LogScenario,
                             this,
-                            "Reception of a 20 MHz signal that generates a per20bitmap parameter "
-                            "change when previous CCA indication reports IDLE");
+                            "Reception of a 20 MHz signal that occupies the first subchannel of "
+                            "S160 below ED threshold");
         ScheduleTest(delay,
-                     {{dBm_u{-60},
+                     {{-65.0,
                        MicroSeconds(0),
                        MicroSeconds(100),
-                       S80_CENTER_FREQUENCY + MHz_u{30},
+                       S160_CENTER_FREQUENCY - MHz_u{70},
                        MHz_u{20}}},
                      {},
                      {
-                         {aCcaTime, WifiPhyState::IDLE}, // IDLE after aCCATime
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
                          {MicroSeconds(100) - smallDelta,
                           WifiPhyState::IDLE}, // IDLE just before the transmission ends
                          {MicroSeconds(100) + smallDelta,
                           WifiPhyState::IDLE} // IDLE just after the transmission ends
                      },
-                     {{aCcaTime,
-                       Seconds(0),
-                       WIFI_CHANLIST_PRIMARY,
-                       std::vector<Time>{MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(0),
-                                         MicroSeconds(100)}}});
-        delay += Seconds(1);
+                     {});
+        delay += Seconds(1.0);
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
+        // energy detection threshold occupies the first 20 MHz subchannel of the S160.
+        // 36.3.21.6.4: (...) A signal is present on the 20 MHz subchannel at or above a
+        // threshold of –62 dBm. (...)
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 20 MHz signal that occupies the first subchannel of "
+                            "S160 above ED threshold");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(8) = MicroSeconds(100);
+        ScheduleTest(delay,
+                     {{-61.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY - MHz_u{70},
+                       MHz_u{20}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {{MicroSeconds(100) - smallDelta,
+                       MicroSeconds(100),
+                       WIFI_CHANLIST_SECONDARY160,
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
+        // the energy detection threshold occupies the second 20 MHz subchannel of the S80
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 20 MHz signal that occupies the second subchannel of "
+                            "S160 below ED threshold");
+        ScheduleTest(delay,
+                     {{-65.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY - MHz_u{50},
+                       MHz_u{20}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {});
+        delay += Seconds(1.0);
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
+        // energy detection threshold occupies the second 20 MHz subchannel of the
+        // S160 27.3.20.6.4: 36.3.21.6.4: (...) A signal is present on the 20 MHz subchannel at
+        // or above a threshold of –62 dBm. (...)
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 20 MHz signal that occupies the second subchannel of "
+                            "S160 above ED threshold");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(9) = MicroSeconds(100);
+        ScheduleTest(delay,
+                     {{-61.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY - MHz_u{50},
+                       MHz_u{20}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {{MicroSeconds(100) - smallDelta,
+                       MicroSeconds(100),
+                       WIFI_CHANLIST_SECONDARY160,
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
+        // the energy detection threshold occupies the third 20 MHz subchannel of the S80
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 20 MHz signal that occupies the third subchannel of "
+                            "S160 below ED threshold");
+        ScheduleTest(delay,
+                     {{-65.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY - MHz_u{30},
+                       MHz_u{20}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {});
+        delay += Seconds(1.0);
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
+        // energy detection threshold occupies the third 20 MHz subchannel of the
+        // S160 27.3.20.6.4: 36.3.21.6.4: (...) A signal is present on the 20 MHz subchannel at
+        // or above a threshold of –62 dBm. (...)
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 20 MHz signal that occupies the third subchannel of "
+                            "S160 above ED threshold");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(10) = MicroSeconds(100);
+        ScheduleTest(delay,
+                     {{-61.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY - MHz_u{30},
+                       MHz_u{20}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {{MicroSeconds(100) - smallDelta,
+                       MicroSeconds(100),
+                       WIFI_CHANLIST_SECONDARY160,
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal below
+        // the energy detection threshold occupies the fourth 20 MHz subchannel of the S80
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 20 MHz signal that occupies the fourth subchannel of "
+                            "S160 below ED threshold");
+        ScheduleTest(delay,
+                     {{-65.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY - MHz_u{10},
+                       MHz_u{20}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {});
+        delay += Seconds(1.0);
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and CCA-BUSY indication is reported if a signal above the
+        // energy detection threshold occupies the fourth 20 MHz subchannel of the
+        // S160 27.3.20.6.4: 36.3.21.6.4: (...) A signal is present on the 20 MHz subchannel at
+        // or above a threshold of –62 dBm. (...)
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 20 MHz signal that occupies the fourth subchannel of "
+                            "S160 above ED threshold");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(11) = MicroSeconds(100);
+        ScheduleTest(delay,
+                     {{-61.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY - MHz_u{10},
+                       MHz_u{20}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {{MicroSeconds(100) - smallDelta,
+                       MicroSeconds(100),
+                       WIFI_CHANLIST_SECONDARY160,
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal
+        // occupies the fifth and sixth 20 MHz subchannels of the S160 with received power below
+        // the energy detection threshold for all occupied 20 MHz subchannels
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 40 MHz signal that occupies the fifth and sixth "
+                            "subchannels of S160 below ED threshold");
+        ScheduleTest(delay,
+                     {{-60.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY + MHz_u{20},
+                       MHz_u{40}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {});
+        delay += Seconds(1.0);
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal
+        // occupies the fifth and sixth 20 MHz subchannels of the S160 with received power above
+        // the energy detection threshold for any occupied 20 MHz subchannels
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 40 MHz signal that occupies the fifth and sixth "
+                            "subchannels of S160 above ED threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 12, 2, MicroSeconds(100));
+        ScheduleTest(delay,
+                     {{-58.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY + MHz_u{20},
+                       MHz_u{40}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {{MicroSeconds(100) - smallDelta,
+                       MicroSeconds(100),
+                       WIFI_CHANLIST_SECONDARY160,
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal
+        // occupies the seventh and eighth 20 MHz subchannels of the S160 with received power
+        // below the energy detection threshold for all occupied 20 MHz subchannels
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 40 MHz signal that occupies the seventh and eighth "
+                            "subchannels of S160 below ED threshold");
+        ScheduleTest(delay,
+                     {{-60.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY + MHz_u{60},
+                       MHz_u{40}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {});
+        delay += Seconds(1.0);
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal
+        // occupies the seventh and eighth 20 MHz subchannels of the S160 with received power
+        // above the energy detection threshold for any occupied 20 MHz subchannels
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 40 MHz signal that occupies the seventh and eighth "
+                            "subchannels of S160 above ED threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 14, 2, MicroSeconds(100));
+        ScheduleTest(delay,
+                     {{-58.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY + MHz_u{60},
+                       MHz_u{40}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {{MicroSeconds(100) - smallDelta,
+                       MicroSeconds(100),
+                       WIFI_CHANLIST_SECONDARY160,
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal
+        // occupies the first four 20 MHz subchannels of the S160 with received power below the
+        // energy detection threshold for all occupied 20 MHz subchannels
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 80 MHz signal that occupies the first four "
+                            "subchannels of S160 below ED threshold");
+        ScheduleTest(delay,
+                     {{-57.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY - MHz_u{40},
+                       MHz_u{80}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {});
+        delay += Seconds(1.0);
 
         //----------------------------------------------------------------------------------------------------------------------------------
-        // Verify PHY state stays CCA_BUSY and CCA-BUSY indication is reported if only the
-        // per20bitmap parameter changes
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal
+        // occupies the first four 20 MHz subchannels of the S160 with received power above the
+        // energy detection threshold for any occupied 20 MHz subchannels
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 80 MHz signal that occupies the first four "
+                            "subchannels of S160 above ED threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 8, 4, MicroSeconds(100));
+        ScheduleTest(delay,
+                     {{-55.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY - MHz_u{40},
+                       MHz_u{80}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {{MicroSeconds(100) - smallDelta,
+                       MicroSeconds(100),
+                       WIFI_CHANLIST_SECONDARY160,
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal
+        // occupies the last four 20 MHz subchannels of the S160 with received power below the
+        // energy detection threshold for all occupied 20 MHz subchannels
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 80 MHz signal that occupies the last four "
+                            "subchannels of S160 below ED threshold");
+        ScheduleTest(delay,
+                     {{-57.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY + MHz_u{40},
+                       MHz_u{80}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {});
+        delay += Seconds(1.0);
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal
+        // occupies the last four 20 MHz subchannels of the S160 with received power above the
+        // energy detection threshold for any occupied 20 MHz subchannels
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 80 MHz signal that occupies the last four "
+                            "subchannels of S160 above ED threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 12, 4, MicroSeconds(100));
+        ScheduleTest(delay,
+                     {{-55.0,
+                       MicroSeconds(0),
+                       MicroSeconds(100),
+                       S160_CENTER_FREQUENCY + MHz_u{40},
+                       MHz_u{80}}},
+                     {},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {MicroSeconds(100) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {MicroSeconds(100) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {{MicroSeconds(100) - smallDelta,
+                       MicroSeconds(100),
+                       WIFI_CHANLIST_SECONDARY160,
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal
+        // occupies the whole S160 with received power below the energy detection threshold for
+        // all occupied 20 MHz subchannels
         Simulator::Schedule(
             delay,
             &WifiPhyCcaIndicationTest::LogScenario,
             this,
-            "Reception of a 20 MHz signal that generates a per20bitmap parameter change when "
-            "previous CCA indication reports BUSY for the primary channel");
+            "Reception of a 160 MHz signal that occupies the whole S160 below ED threshold");
         ScheduleTest(
             delay,
-            {{dBm_u{-50.0}, MicroSeconds(0), MicroSeconds(100), P80_CENTER_FREQUENCY, MHz_u{80}},
-             {dBm_u{-60.0},
-              MicroSeconds(50),
-              MicroSeconds(200),
-              S80_CENTER_FREQUENCY + MHz_u{30},
-              MHz_u{20}}},
+            {{-54.0, MicroSeconds(0), MicroSeconds(100), S160_CENTER_FREQUENCY, MHz_u{160}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {MicroSeconds(100) - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {MicroSeconds(100) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {});
+        delay += Seconds(1.0);
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE and no CCA-BUSY indication is reported if a signal
+        // occupies the whole S160 with received power above the energy detection threshold for
+        // any occupied 20 MHz subchannels
+        Simulator::Schedule(
+            delay,
+            &WifiPhyCcaIndicationTest::LogScenario,
+            this,
+            "Reception of a 160 MHz signal that occupies the whole S160 above ED threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 8, 8, MicroSeconds(100));
+        ScheduleTest(
+            delay,
+            {{-52.0, MicroSeconds(0), MicroSeconds(100), S160_CENTER_FREQUENCY, MHz_u{160}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {MicroSeconds(100) - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {MicroSeconds(100) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{MicroSeconds(100) - smallDelta,
+              MicroSeconds(100),
+              WIFI_CHANLIST_SECONDARY160,
+              m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE as long as a 320 MHz signal below the energy detection
+        // threshold occupies the whole band
+        Simulator::Schedule(
+            delay,
+            &WifiPhyCcaIndicationTest::LogScenario,
+            this,
+            "Reception of a 320 MHz signal that occupies the whole band below ED threshold");
+        ScheduleTest(
+            delay,
+            {{-51.0, MicroSeconds(0), MicroSeconds(100), P320_CENTER_FREQUENCY, MHz_u{320}}},
             {},
             {
-                {aCcaTime, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCCATime
+                {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                {MicroSeconds(100) - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {MicroSeconds(100) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {});
+
+        delay += Seconds(1.0);
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state is CCA-BUSY as long as a 320 MHz signal above the energy detection
+        // threshold occupies the whole band
+        Simulator::Schedule(
+            delay,
+            &WifiPhyCcaIndicationTest::LogScenario,
+            this,
+            "Reception of a 320 MHz signal that occupies the whole band above ED threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin(), 16, MicroSeconds(100));
+        ScheduleTest(
+            delay,
+            {{-49.0, MicroSeconds(0), MicroSeconds(100), P320_CENTER_FREQUENCY, MHz_u{320}}},
+            {},
+            {
+                {aCcaTimeWithDelta, WifiPhyState::CCA_BUSY}, // CCA-BUSY after aCcaTimeWithDelta
                 {MicroSeconds(100) - smallDelta,
                  WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
                 {MicroSeconds(100) + smallDelta,
                  WifiPhyState::IDLE} // IDLE just after the transmission ends
             },
-            {{aCcaTime,
+            {{MicroSeconds(100) - smallDelta,
               MicroSeconds(100),
               WIFI_CHANLIST_PRIMARY,
-              std::vector<Time>{MicroSeconds(100),
-                                MicroSeconds(100),
-                                MicroSeconds(100),
-                                MicroSeconds(100),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0)}},
-             {MicroSeconds(50) + aCcaTime, // notification upon reception of the second signal
+              m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY notifies CCA-BUSY for the P20 channel while the S160 channel was already
+        // in CCA-BUSY state
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a 20 MHz signal that occupies S160 followed by the "
+                            "reception of another 20 MHz signal that occupies P20");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(15) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(0) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(15) = MicroSeconds(50);
+        ScheduleTest(
+            delay,
+            {{-52.0,
+              MicroSeconds(0),
               MicroSeconds(100),
+              S160_CENTER_FREQUENCY + MHz_u{70},
+              MHz_u{20}},
+             {-52.0, MicroSeconds(50), MicroSeconds(100), P20_CENTER_FREQUENCY, MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
+                {MicroSeconds(50) + aCcaTimeWithDelta,
+                 WifiPhyState::CCA_BUSY}, // state of primary is CCA-BUSY after
+                                          // aCcaTimeWithDelta that followed the second
+                                          // transmission
+                {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
+                 WifiPhyState::CCA_BUSY}, // CCA-BUSY just before the transmission ends
+                {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{aCcaTimeWithDelta, // notification upon reception of the first signal
+              MicroSeconds(100),
+              WIFI_CHANLIST_SECONDARY160,
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
+             {MicroSeconds(50) +
+                  aCcaTimeWithDelta, // notification upon reception of the second signal
+              MicroSeconds(50) + MicroSeconds(100),
               WIFI_CHANLIST_PRIMARY,
-              std::vector<Time>{MicroSeconds(50),
-                                MicroSeconds(50),
-                                MicroSeconds(50),
-                                MicroSeconds(50),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(0),
-                                MicroSeconds(200)}}});
-        delay += Seconds(1);
+              m_expectedPer20MhzCcaBusyDurations.at(1)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE but notifies CCA-BUSY for the S80 channel while the S160
+        // channel was already in CCA-BUSY state
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a signal that occupies S160 followed by the reception of "
+                            "another signal that occupies S80");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(14) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(5) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(14) = MicroSeconds(50);
+        ScheduleTest(
+            delay,
+            {{-52.0,
+              MicroSeconds(0),
+              MicroSeconds(100),
+              S160_CENTER_FREQUENCY + MHz_u{50},
+              MHz_u{20}},
+             {-52.0,
+              MicroSeconds(50),
+              MicroSeconds(100),
+              S80_CENTER_FREQUENCY - MHz_u{10},
+              MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
+                {MicroSeconds(50) + aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays IDLE
+                {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{aCcaTimeWithDelta, // notification upon reception of the first signal
+              MicroSeconds(100),
+              WIFI_CHANLIST_SECONDARY160,
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
+             {MicroSeconds(50) +
+                  aCcaTimeWithDelta, // notification upon reception of the second signal
+              MicroSeconds(50) + MicroSeconds(100),
+              WIFI_CHANLIST_SECONDARY80,
+              m_expectedPer20MhzCcaBusyDurations.at(1)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE but notifies CCA-BUSY for the S40 channel while the S160
+        // channel was already in CCA-BUSY state
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a signal that occupies S160 followed by the reception of "
+                            "another signal that occupies S40");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(13) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(3) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(13) = MicroSeconds(50);
+        ScheduleTest(
+            delay,
+            {{-52.0,
+              MicroSeconds(0),
+              MicroSeconds(100),
+              S160_CENTER_FREQUENCY + MHz_u{30},
+              MHz_u{20}},
+             {-52.0,
+              MicroSeconds(50),
+              MicroSeconds(100),
+              S40_CENTER_FREQUENCY + MHz_u{10},
+              MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
+                {MicroSeconds(50) + aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays IDLE
+                {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{aCcaTimeWithDelta, // notification upon reception of the first signal
+              MicroSeconds(100),
+              WIFI_CHANLIST_SECONDARY160,
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
+             {MicroSeconds(50) +
+                  aCcaTimeWithDelta, // notification upon reception of the second signal
+              MicroSeconds(50) + MicroSeconds(100),
+              WIFI_CHANLIST_SECONDARY40,
+              m_expectedPer20MhzCcaBusyDurations.at(1)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE but notifies CCA-BUSY for the S20 channel while the S160
+        // channel was already in CCA-BUSY state
+        Simulator::Schedule(delay,
+                            &WifiPhyCcaIndicationTest::LogScenario,
+                            this,
+                            "Reception of a signal that occupies S160 followed by the reception of "
+                            "another signal that occupies S20");
+        m_expectedPer20MhzCcaBusyDurations.at(0).at(12) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(1) = MicroSeconds(100);
+        m_expectedPer20MhzCcaBusyDurations.at(1).at(12) = MicroSeconds(50);
+        ScheduleTest(
+            delay,
+            {{-52.0,
+              MicroSeconds(0),
+              MicroSeconds(100),
+              S160_CENTER_FREQUENCY + MHz_u{10},
+              MHz_u{20}},
+             {-52.0, MicroSeconds(50), MicroSeconds(100), S20_CENTER_FREQUENCY, MHz_u{20}}},
+            {},
+            {
+                {aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays idle after aCcaTimeWithDelta
+                {MicroSeconds(50) + aCcaTimeWithDelta,
+                 WifiPhyState::IDLE}, // state of primary stays IDLE
+                {MicroSeconds(50) + MicroSeconds(100) - smallDelta,
+                 WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                {MicroSeconds(50) + MicroSeconds(100) + smallDelta,
+                 WifiPhyState::IDLE} // IDLE just after the transmission ends
+            },
+            {{aCcaTimeWithDelta, // notification upon reception of the first signal
+              MicroSeconds(100),
+              WIFI_CHANLIST_SECONDARY160,
+              m_expectedPer20MhzCcaBusyDurations.at(0)},
+             {MicroSeconds(50) +
+                  aCcaTimeWithDelta, // notification upon reception of the second signal
+              MicroSeconds(50) + MicroSeconds(100),
+              WIFI_CHANLIST_SECONDARY,
+              m_expectedPer20MhzCcaBusyDurations.at(1)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE when a 160 MHz PPDU that occupies S160 with received
+        // power below the Per 20 MHz CCA threshold for all occupied 20 MHz subchannels
+        Simulator::Schedule(
+            delay,
+            &WifiPhyCcaIndicationTest::LogScenario,
+            this,
+            "Reception of a 160 MHz PPDU that occupies S160 below CCA sensitivity threshold");
+        ScheduleTest(delay,
+                     {},
+                     {{-64.0, MicroSeconds(0), S160_CENTER_FREQUENCY, MHz_u{160}}},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {ppduDurations.at(160) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {ppduDurations.at(160) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {});
+        delay += Seconds(1.0);
+
+        //----------------------------------------------------------------------------------------------------------------------------------
+        // Verify PHY state stays IDLE but CCA-BUSY indication is reported when a 160 MHz PPDU
+        // that occupies S160 with received power above the Per 20 MHz CCA threshold for any
+        // occupied 20 MHz subchannels
+        Simulator::Schedule(
+            delay,
+            &WifiPhyCcaIndicationTest::LogScenario,
+            this,
+            "Reception of a 160 MHz PPDU that occupies S160 above CCA sensitivity threshold");
+        std::fill_n(m_expectedPer20MhzCcaBusyDurations.at(0).begin() + 8, 8, ppduDurations.at(160));
+        ScheduleTest(delay,
+                     {},
+                     {{-62.0, MicroSeconds(0), S160_CENTER_FREQUENCY, MHz_u{160}}},
+                     {
+                         {aCcaTimeWithDelta, WifiPhyState::IDLE}, // IDLE after aCcaTimeWithDelta
+                         {ppduDurations.at(160) - smallDelta,
+                          WifiPhyState::IDLE}, // IDLE just before the transmission ends
+                         {ppduDurations.at(160) + smallDelta,
+                          WifiPhyState::IDLE} // IDLE just after the transmission ends
+                     },
+                     {{aCcaTimeWithDelta,
+                       ppduDurations.at(160),
+                       WIFI_CHANLIST_SECONDARY160,
+                       m_expectedPer20MhzCcaBusyDurations.at(0)}});
+        delay += Seconds(1.0);
+        ResetExpectedPer20MhzCcaBusyDurations();
     }
 
     Simulator::Run();
